Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.rete
Class Constant

    java.lang.Object
      org.mindswap.pellet.rete.Constant

All Implemented Interfaces:
  Term

    public class Constant

extends java.lang.Object
implements Term

Title: Constant

Description:

Copyright: Copyright (c) 2007

Company: Clark & Parsia, LLC.

Constructor Summary
`Constant()` Creates a null constant.
`Constant(aterm.ATermAppl value)` Creates a constant.

Method Summary
`boolean` | `equals(java.lang.Object other)` Checks if this constant is equal to some other constant.
`aterm.ATermAppl` | `getValue()`
`int` | `hashCode()`
`boolean` | `isVariable()` Return true if term is a variable
`java.lang.String` | `toString()` Converts this constant to a string.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Constant

    public Constant()

  Creates a null constant.

### Constant

    public Constant(aterm.ATermAppl value)

  Creates a constant.

  Parameters:
    `value` - the value of the constant

Method Detail

### equals

    public boolean equals(java.lang.Object other)

  Checks if this constant is equal to some other constant.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `other` - the other constant
  Returns:
    `true` if this constant is equal to some other constant

### getValue

    public aterm.ATermAppl getValue()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### isVariable

    public boolean isVariable()

  Description copied from interface: `Term`
  Return true if term is a variable

  Specified by:
    `isVariable` in interface `Term`
  Returns:

### toString

    public java.lang.String toString()

  Converts this constant to a string.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of the constant

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.